Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040354
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Java Client POS] 02 - ERP-POS Integrationmajoralways2019-03-11 23:062019-04-11 15:02
ReportergsuarezView Statuspublic 
Assigned ToRetail 
PriorityhighResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned To
Regression introduced in release
Summary

0040354: Attibute set value entered in a order are not the same when a Verified Return transaction is created

DescriptionIn a new receipt, When a product is selected having an instantiable attribute, a popup appear to input the attribute set value.
The entered attribute set value in a new receipt, has a format like a Atributo1_Atributo_2_SerialNro, but when a Verified Return transaction want to be created the attribute set must be SerialNro_Atributo1_Atributo2.
Then, there is an error in Errors While Importing POS data window, because the value received is not valid.
Steps To ReproduceIn livebuilds retail_mp_3.0RR18Q3.5 or retail_mp_3.0RR18Q4.2


1. Go to Preference and search the Property = "Web POS Enable support for product attributes" and change the Value = Y.
2. Create attributes, Atribute1 and Atribute2 from the Attribute window.
3. Create the "Attribute set" with the previous Attributes, from the attribute set window.
4. Set to any product the "Attribute set" previously created. Example: GPS Mini
5. In the POS, create new Receipt for the product configured with attribute C_2_587, for example. (Atributo1_Atributo_2_SerialNro)
6. Check the order in the backend
7. Go to Verified Returns and find the previous order.
8. Try to enter the attribute set in the same format like when the new receipt was created (Atributo1_Atributo_2_SerialNro)
9. Since in the previous step, C_2_587 (Atributo1_Atributo_2_SerialNro)could not be entered , try (SerialNro_Atributo1_Atributo_2) 587_C_2
10. Check the "Errors While importing POS Data" window
11. If attSetInstanceDesc is change in the json, from attSetInstanceDesc":"587_C_2” to attSetInstanceDesc":"C_2_587” the receipt will be imported.
11. Repeat de step 5, but creating the new receip with atribute format 587_C_2. Then we will have an error in "Errors While importing POS Data" window.
TagsNo tags attached.
Attached Files? file icon Steps issue 11032019 8415.odt [^] (1,875,201 bytes) 2019-03-11 23:06

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111033)
matias-bernal (developer)
2019-04-09 03:48

When you create an attribute from good shipment or purchase order, the serial number adds a '#' in front of number. if you add serial number control into attibute set then '#' is not added.

Steps to reproduce:

1. Create new atributes (Attribute1 and Attribute2).
2. Create a new Attribute set without serial number control and add them the previous attributes.
3. Set to any product the Attribute set proviously created.
4. Create a Good Shipment, add a new line using the product configured in the previous step.
5. The attribute set created will have '#' in front of number.
6. Change the attribute set created in the step 3 adding serial number control.
7. Create another Good Shipment using the same configuration in step 4.
8. The attribute set created will do not have '#'.

- Issue History
Date Modified Username Field Change
2019-03-11 23:06 gsuarez New Issue
2019-03-11 23:06 gsuarez Assigned To => adrianromero
2019-03-11 23:06 gsuarez File Added: Steps issue 11032019 8415.odt
2019-03-14 05:41 gsuarez Description Updated View Revisions
2019-03-14 05:41 gsuarez Steps to Reproduce Updated View Revisions
2019-04-09 03:39 matias-bernal Issue Monitored: matias-bernal
2019-04-09 03:48 matias-bernal Note Added: 0111033
2019-04-09 10:27 adrianromero Assigned To adrianromero => Retail
2019-04-11 15:02 matias-bernal Priority normal => high


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker